CLS
IF COMMAND$ = "ADD" THEN GOTO ADD
IF COMMAND$ = "SUBTRACT" THEN GOTO SUBTRACT

SYNTAX:
PRINT "SimCopter Time Sync"
PRINT ""
PRINT "(c)2000 by Rich Weeds Nagel"
PRINT
PRINT "Syntax:"
PRINT
PRINT "SCTSYNC ADD"
PRINT "Add 5 hours and 25 minutes to system time to sync SimCopter with real-world time"
PRINT
PRINT "SCTSYNC SUBTRACT"
PRINT "Subtract 5 hours and 25 minutes from system time (return system time to normal)"
PRINT
PRINT "Note: This program should be added to a batch file to run SimCopter"
PRINT
PRINT "Example COPTER.BAT file:"
PRINT
PRINT "@ECHO OFF"
PRINT "SCTSYNC ADD"
PRINT "SIMCOPTER %1 %2 %3 %4 %5 %6 %7 %8 %9"
PRINT "PAUSE"
PRINT "SCTSYNC SUBTRACT"
GOTO DONE

ADD:
T$ = TIME$
HOUR$ = MID$(T$, 1, 2)
MINUTE$ = MID$(T$, 4, 2)
SECOND$ = MID$(T$, 7, 2)
HOUR = VAL(HOUR$)
MINUTE = VAL(MINUTE$)
SECOND = VAL(SECOND$)
HOUR = HOUR + 5
MINUTE = MINUTE + 25
IF MINUTE > 60 THEN HOUR = HOUR + 1
IF MINUTE > 60 THEN MINUTE = MINUTE - 60
IF MINUTE = 60 THEN MINUTE = 0
IF HOUR > 24 THEN HOUR = HOUR - 24
IF HOUR = 24 THEN HOUR = 0
H$ = STR$(HOUR)
M$ = STR$(MINUTE)
S$ = STR$(SECOND)
H$ = LTRIM$(H$)
M$ = LTRIM$(M$)
S$ = LTRIM$(S$)
H$ = RTRIM$(H$)
M$ = RTRIM$(M$)
S$ = RTRIM$(S$)
OPEN "TEMP.BAT" FOR OUTPUT AS #1
PRINT #1, "@ECHO OFF"
PRINT #1, "TIME "; H$; ":"; M$; ":"; S$
CLOSE
SHELL "TEMP.BAT"
KILL "TEMP.BAT"
GOTO DONE

SUBTRACT:
T$ = TIME$
HOUR$ = MID$(T$, 1, 2)
MINUTE$ = MID$(T$, 4, 2)
SECOND$ = MID$(T$, 7, 2)
HOUR = VAL(HOUR$)
MINUTE = VAL(MINUTE$)
SECOND = VAL(SECOND$)
HOUR = HOUR - 5
MINUTE = MINUTE - 25
IF MINUTE < 0 THEN HOUR = HOUR - 1
IF MINUTE < 0 THEN MINUTE = MINUTE + 60
IF MINUTE = 60 THEN MINUTE = 0
IF HOUR < 0 THEN HOUR = HOUR + 24
IF HOUR = 24 THEN HOUR = 0
H$ = STR$(HOUR)
M$ = STR$(MINUTE)
S$ = STR$(SECOND)
H$ = LTRIM$(H$)
M$ = LTRIM$(M$)
S$ = LTRIM$(S$)
H$ = RTRIM$(H$)
M$ = RTRIM$(M$)
S$ = RTRIM$(S$)
OPEN "TEMP.BAT" FOR OUTPUT AS #1
PRINT #1, "@ECHO OFF"
PRINT #1, "TIME "; H$; ":"; M$; ":"; S$
CLOSE
SHELL "TEMP.BAT"
KILL "TEMP.BAT"
GOTO DONE

DONE:
END

